diff --git a/tests/test_manager.py b/tests/test_manager.py
index dc4db09..8620c34 100644
--- a/tests/test_manager.py
+++ b/tests/test_manager.py
@@ -1271,15 +1333,16 @@ def test_agenda_update_time_period_exception_from_remote_ics(mocked_get, app, ad
     resp = resp.click('Settings')
     assert 'Import exceptions from .ics' not in resp.text
 
-    TimePeriod.objects.create(weekday=1, desk=desk,
-                start_time=datetime.time(10, 0), end_time=datetime.time(12, 0))
+    TimePeriod.objects.create(
+        weekday=1, desk=desk, start_time=datetime.time(10, 0), end_time=datetime.time(12, 0)
+    )
 
     resp = app.get('/manage/agendas/%d/' % agenda.pk).follow()
     resp = resp.click('Settings')
     resp = resp.click('upload')
     resp.form['ics_url'] = 'http://example.com/foo.ics'
     mocked_response = mock.Mock()
-    mocked_response.text =  """BEGIN:VCALENDAR
+    mocked_response.text = """BEGIN:VCALENDAR
 VERSION:2.0
 PRODID:-//foo.bar//EN
 BEGIN:VEVENT
@@ -1316,8 +1379,11 @@ END:VCALENDAR"""
     resp = resp.form.submit(status=302)
     assert TimePeriodException.objects.filter(desk=desk).count() == 1
 
+
 @mock.patch('chrono.agendas.models.requests.get')
-def test_agenda_import_time_period_exception_from_remote_ics_with_connection_error(mocked_get, app, admin_user):
+def test_agenda_import_time_period_exception_from_remote_ics_with_connection_error(
+    mocked_get, app, admin_user
+):
     agenda = Agenda.objects.create(label='New Example', kind='meetings')
     desk = Desk.objects.create(agenda=agenda, label='New Desk')
     MeetingType(agenda=agenda, label='Bar').save()
@@ -1326,8 +1392,9 @@ def test_agenda_import_time_period_exception_from_remote_ics_with_connection_err
     resp = resp.click('Settings')
     assert 'Import exceptions from .ics' not in resp.text
 
-    TimePeriod.objects.create(weekday=1, desk=desk,
-                start_time=datetime.time(10, 0), end_time=datetime.time(12, 0))
+    TimePeriod.objects.create(
+        weekday=1, desk=desk, start_time=datetime.time(10, 0), end_time=datetime.time(12, 0)
+    )
 
     resp = app.get('/manage/agendas/%d/' % agenda.pk).follow()
     resp = resp.click('Settings')
@@ -1338,12 +1405,15 @@ def test_agenda_import_time_period_exception_from_remote_ics_with_connection_err
     resp.form['ics_url'] = 'http://example.com/foo.ics'
     mocked_response = mock.Mock()
     mocked_get.return_value = mocked_response
+
     def mocked_requests_connection_error(*args, **kwargs):
         raise requests.exceptions.ConnectionError('unreachable')
+
     mocked_get.side_effect = mocked_requests_connection_error
     resp = resp.form.submit(status=200)
     assert 'Failed to retrieve remote calendar (http://example.com/foo.ics, unreachable).' in resp.text
 
+
 @mock.patch('chrono.agendas.models.requests.get')
 def test_agenda_import_time_period_exception_from_forbidden_remote_ics(mocked_get, app, admin_user):
     agenda = Agenda.objects.create(label='New Example', kind='meetings')
@@ -1354,8 +1424,9 @@ def test_agenda_import_time_period_exception_from_forbidden_remote_ics(mocked_ge
     resp = resp.click('Settings')
     assert 'Import exceptions from .ics' not in resp.text
 
-    TimePeriod.objects.create(weekday=1, desk=desk,
-                start_time=datetime.time(10, 0), end_time=datetime.time(12, 0))
+    TimePeriod.objects.create(
+        weekday=1, desk=desk, start_time=datetime.time(10, 0), end_time=datetime.time(12, 0)
+    )
 
     resp = app.get('/manage/agendas/%d/' % agenda.pk).follow()
     resp = resp.click('Settings')
@@ -1364,12 +1435,15 @@ def test_agenda_import_time_period_exception_from_forbidden_remote_ics(mocked_ge
     mocked_response = mock.Mock()
     mocked_response.status_code = 403
     mocked_get.return_value = mocked_response
+
     def mocked_requests_http_forbidden_error(*args, **kwargs):
         raise requests.exceptions.HTTPError(response=mocked_response)
+
     mocked_get.side_effect = mocked_requests_http_forbidden_error
     resp = resp.form.submit(status=200)
     assert 'Failed to retrieve remote calendar (http://example.com/foo.ics, HTTP error 403).' in resp.text
 
+
 @mock.patch('chrono.agendas.models.requests.get')
 def test_agenda_import_time_period_exception_from_remote_ics_with_ssl_error(mocked_get, app, admin_user):
     agenda = Agenda.objects.create(label='New Example', kind='meetings')
@@ -1379,8 +1453,9 @@ def test_agenda_import_time_period_exception_from_remote_ics_with_ssl_error(mock
     resp = app.get('/manage/agendas/%d/' % agenda.pk).follow()
     resp = resp.click('Settings')
     assert 'Import exceptions from .ics' not in resp.text
-    TimePeriod.objects.create(weekday=1, desk=desk,
-                start_time=datetime.time(10, 0), end_time=datetime.time(12, 0))
+    TimePeriod.objects.create(
+        weekday=1, desk=desk, start_time=datetime.time(10, 0), end_time=datetime.time(12, 0)
+    )
 
     resp = app.get('/manage/agendas/%d/' % agenda.pk).follow()
     resp = resp.click('Settings')
@@ -1388,12 +1463,15 @@ def test_agenda_import_time_period_exception_from_remote_ics_with_ssl_error(mock
     resp.form['ics_url'] = 'https://example.com/foo.ics'
     mocked_response = mock.Mock()
     mocked_get.return_value = mocked_response
+
     def mocked_requests_http_ssl_error(*args, **kwargs):
         raise requests.exceptions.SSLError('SSL error')
+
     mocked_get.side_effect = mocked_requests_http_ssl_error
     resp = resp.form.submit(status=200)
     assert 'Failed to retrieve remote calendar (https://example.com/foo.ics, SSL error).' in resp.text
 
+
 def test_agenda_day_view(app, admin_user, manager_user, api_user):
     agenda = Agenda.objects.create(label='New Example', kind='meetings')
     desk = Desk.objects.create(agenda=agenda, label='New Desk')
@@ -1409,9 +1487,9 @@ def test_agenda_day_view(app, admin_user, manager_user, api_user):
     resp = resp.follow()
     assert 'No opening hours this day.' in resp.text  # no time pediod
 
-    timeperiod = TimePeriod(desk=desk, weekday=today.weekday(),
-            start_time=datetime.time(10, 0),
-            end_time=datetime.time(18, 0))
+    timeperiod = TimePeriod(
+        desk=desk, weekday=today.weekday(), start_time=datetime.time(10, 0), end_time=datetime.time(18, 0)
+    )
     timeperiod.save()
     resp = app.get('/manage/agendas/%s/' % agenda.id, status=302).follow()
     assert not 'No opening hours this day.' in resp.text
@@ -1434,14 +1512,12 @@ def test_agenda_day_view(app, admin_user, manager_user, api_user):
     booking_url = resp.json['data'][0]['api']['fillslot_url']
     booking_url2 = resp.json['data'][2]['api']['fillslot_url']
     resp = app.post(booking_url)
-    resp = app.post_json(booking_url2,
-            params={'label': 'foo', 'user': 'bar', 'url': 'http://baz/'})
+    resp = app.post_json(booking_url2, params={'label': 'foo', 'user': 'bar', 'url': 'http://baz/'})
 
     app.reset()
     login(app)
     date = Booking.objects.all()[0].event.start_datetime
-    resp = app.get('/manage/agendas/%s/%d/%d/%d/' % (
-        agenda.id, date.year, date.month, date.day))
+    resp = app.get('/manage/agendas/%s/%d/%d/%d/' % (agenda.id, date.year, date.month, date.day))
     assert resp.text.count('div class="booking') == 2
     assert 'hourspan-2' in resp.text  # table CSS class
     assert 'height: 50%; top: 0%;' in resp.text  # booking cells
@@ -1450,8 +1526,7 @@ def test_agenda_day_view(app, admin_user, manager_user, api_user):
     # (and visually this will give more room for events)
     meetingtype = MeetingType(agenda=agenda, label='Baz', duration=15)
     meetingtype.save()
-    resp = app.get('/manage/agendas/%s/%d/%d/%d/' % (
-        agenda.id, date.year, date.month, date.day))
+    resp = app.get('/manage/agendas/%s/%d/%d/%d/' % (agenda.id, date.year, date.month, date.day))
     assert resp.text.count('div class="booking') == 2
     assert 'hourspan-4' in resp.text  # table CSS class
 
@@ -1464,29 +1539,26 @@ def test_agenda_day_view(app, admin_user, manager_user, api_user):
 
     app.reset()
     login(app)
-    resp = app.get('/manage/agendas/%s/%d/%d/%d/' % (
-        agenda.id, date.year, date.month, date.day))
+    resp = app.get('/manage/agendas/%s/%d/%d/%d/' % (agenda.id, date.year, date.month, date.day))
     assert resp.text.count('div class="booking') == 1
 
     # wrong type
     agenda2 = Agenda(label=u'Foo bar')
     agenda2.save()
-    resp = app.get('/manage/agendas/%s/%d/%d/%d/' % (
-        agenda2.id, date.year, date.month, date.day), status=404)
+    resp = app.get('/manage/agendas/%s/%d/%d/%d/' % (agenda2.id, date.year, date.month, date.day), status=404)
 
     # not enough permissions
     agenda2.view_role = manager_user.groups.all()[0]
     agenda2.save()
     app.reset()
     app = login(app, username='manager', password='manager')
-    resp = app.get('/manage/agendas/%s/%d/%d/%d/' % (
-        agenda.id, date.year, date.month, date.day), status=403)
+    resp = app.get('/manage/agendas/%s/%d/%d/%d/' % (agenda.id, date.year, date.month, date.day), status=403)
 
     # just enough permissions
     agenda.view_role = manager_user.groups.all()[0]
     agenda.save()
-    resp = app.get('/manage/agendas/%s/%d/%d/%d/' % (
-        agenda.id, date.year, date.month, date.day), status=200)
+    resp = app.get('/manage/agendas/%s/%d/%d/%d/' % (agenda.id, date.year, date.month, date.day), status=200)
+
 
 def test_agenda_day_view_late_meeting(app, admin_user, manager_user, api_user):
     agenda = Agenda.objects.create(label='New Example', kind='meetings')
@@ -1498,9 +1570,9 @@ def test_agenda_day_view_late_meeting(app, admin_user, manager_user, api_user):
 
     today = datetime.date.today()
 
-    timeperiod = TimePeriod(desk=desk, weekday=today.weekday(),
-            start_time=datetime.time(10, 0),
-            end_time=datetime.time(23, 30))
+    timeperiod = TimePeriod(
+        desk=desk, weekday=today.weekday(), start_time=datetime.time(10, 0), end_time=datetime.time(23, 30)
+    )
     timeperiod.save()
 
     login(app)
@@ -1508,6 +1580,7 @@ def test_agenda_day_view_late_meeting(app, admin_user, manager_user, api_user):
     assert resp.text.count('<tr') == 15
     assert '<th class="hour">11 p.m.</th>' in resp.text
 
+
 def test_agenda_invalid_day_view(app, admin_user, manager_user, api_user):
     agenda = Agenda.objects.create(label='New Example', kind='meetings')
     desk = Desk.objects.create(agenda=agenda, label='New Desk')
@@ -1520,6 +1593,7 @@ def test_agenda_invalid_day_view(app, admin_user, manager_user, api_user):
     resp = app.get('/manage/agendas/%s/%d/%d/%d/' % (agenda.id, 2018, 11, 31), status=302)
     assert resp.location.endswith('2018/11/30/')
 
+
 def test_agenda_month_view(app, admin_user, manager_user, api_user):
     agenda = Agenda.objects.create(label='Passeports', kind='meetings')
     desk = Desk.objects.create(agenda=agenda, label='Desk A')
@@ -1535,20 +1609,20 @@ def test_agenda_month_view(app, admin_user, manager_user, api_user):
     today = datetime.date.today()
     assert resp.request.url.endswith('%s/%s/' % (today.year, today.month))
 
-    assert 'Day view' in resp.text # date view link should be present
+    assert 'Day view' in resp.text  # date view link should be present
     assert 'No opening hours this month.' in resp.text
 
     today = datetime.date(2018, 11, 10)  # fixed day
     timeperiod_weekday = today.weekday()
-    timeperiod = TimePeriod(desk=desk, weekday=timeperiod_weekday,
-            start_time=datetime.time(10, 0),
-            end_time=datetime.time(18, 0))
+    timeperiod = TimePeriod(
+        desk=desk, weekday=timeperiod_weekday, start_time=datetime.time(10, 0), end_time=datetime.time(18, 0)
+    )
     timeperiod.save()
     resp = app.get('/manage/agendas/%s/%s/%s/' % (agenda.id, today.year, today.month))
     assert not 'No opening hours this month.' in resp.text
     assert not '<div class="booking' in resp.text
     first_month_day = today.replace(day=1)
-    last_month_day = today.replace(day=1, month=today.month+1) - datetime.timedelta(days=1)
+    last_month_day = today.replace(day=1, month=today.month + 1) - datetime.timedelta(days=1)
     start_week_number = first_month_day.isocalendar()[1]
     end_week_number = last_month_day.isocalendar()[1]
     weeks_number = end_week_number - start_week_number + 1
@@ -1564,19 +1638,17 @@ def test_agenda_month_view(app, admin_user, manager_user, api_user):
     booking_url = resp.json['data'][0]['api']['fillslot_url']
     booking_url2 = resp.json['data'][2]['api']['fillslot_url']
     booking = app.post(booking_url)
-    booking_2 = app.post_json(booking_url2,
-            params={'label': 'foo', 'user': 'bar', 'url': 'http://baz/'})
+    booking_2 = app.post_json(booking_url2, params={'label': 'foo', 'user': 'bar', 'url': 'http://baz/'})
 
     app.reset()
     login(app)
     date = Booking.objects.all()[0].event.start_datetime
-    resp = app.get('/manage/agendas/%s/%d/%d/' % (
-        agenda.id, date.year, date.month))
-    assert resp.text.count('<div class="booking" style="left:1.0%;height:33.0%;') == 2 # booking cells
+    resp = app.get('/manage/agendas/%s/%d/%d/' % (agenda.id, date.year, date.month))
+    assert resp.text.count('<div class="booking" style="left:1.0%;height:33.0%;') == 2  # booking cells
     desk = Desk.objects.create(agenda=agenda, label='Desk B')
-    timeperiod = TimePeriod(desk=desk, weekday=timeperiod_weekday,
-            start_time=datetime.time(10, 0),
-            end_time=datetime.time(18, 0))
+    timeperiod = TimePeriod(
+        desk=desk, weekday=timeperiod_weekday, start_time=datetime.time(10, 0), end_time=datetime.time(18, 0)
+    )
     timeperiod.save()
 
     app.reset()
@@ -1613,6 +1685,7 @@ def test_agenda_month_view(app, admin_user, manager_user, api_user):
     resp = app.get('/manage/agendas/%s/%s/%s/' % (agenda.id, today.year, today.month))
     assert not 'No opening hours this month.' in resp.text
 
+
 def test_agenda_month_view_dst_change(app, admin_user, manager_user, api_user):
     agenda = Agenda.objects.create(label='Passeports', kind='meetings')
     desk = Desk.objects.create(agenda=agenda, label='Desk A')
@@ -1621,9 +1694,9 @@ def test_agenda_month_view_dst_change(app, admin_user, manager_user, api_user):
     meetingtype.save()
 
     for weekday in range(0, 7):  # open all mornings
-        TimePeriod(desk=desk, weekday=weekday,
-                start_time=datetime.time(9, 0),
-                end_time=datetime.time(12, 0)).save()
+        TimePeriod(
+            desk=desk, weekday=weekday, start_time=datetime.time(9, 0), end_time=datetime.time(12, 0)
+        ).save()
 
     login(app)
     for date in ('2019-10-01', '2019-10-31'):
@@ -1658,6 +1731,7 @@ def test_import_agenda_as_manager(app, manager_user):
     resp = app.get('/manage/', status=200)
     resp = app.get('/manage/agendas/import/', status=403)
 
+
 def test_import_agenda(app, admin_user):
     agenda = Agenda(label=u'Foo bar')
     agenda.save()
diff --git a/tests/test_time_periods.py b/tests/test_time_periods.py
index 8e3d521..10e344c 100644
--- a/tests/test_time_periods.py
+++ b/tests/test_time_periods.py
@@ -1,13 +1,13 @@
 # -*- coding: utf-8 -*-
 
 import datetime
-import pytest
 
+import pytest
 from django.test import override_settings
 from django.utils.encoding import force_text
 from django.utils.timezone import localtime, make_aware
 
-from chrono.agendas.models import Agenda, TimePeriod, TimePeriodException, MeetingType, Desk
+from chrono.agendas.models import Agenda, Desk, MeetingType, TimePeriod, TimePeriodException
 
 pytestmark = pytest.mark.django_db
 
@@ -18,13 +18,14 @@ def test_timeperiod_time_slots():
     desk = Desk.objects.create(label='Desk 1', agenda=agenda)
     meeting_type = MeetingType(duration=60, agenda=agenda)
     meeting_type.save()
-    timeperiod = TimePeriod(desk=desk, weekday=0,
-            start_time=datetime.time(9, 0),
-            end_time=datetime.time(12, 0))
+    timeperiod = TimePeriod(
+        desk=desk, weekday=0, start_time=datetime.time(9, 0), end_time=datetime.time(12, 0)
+    )
     events = timeperiod.get_time_slots(
-            min_datetime=make_aware(datetime.datetime(2016, 9, 1)),
-            max_datetime=make_aware(datetime.datetime(2016, 10, 1)),
-            meeting_type=meeting_type)
+        min_datetime=make_aware(datetime.datetime(2016, 9, 1)),
+        max_datetime=make_aware(datetime.datetime(2016, 10, 1)),
+        meeting_type=meeting_type,
+    )
     events = list(sorted(events, key=lambda x: x.start_datetime))
     assert events[0].start_datetime.timetuple()[:5] == (2016, 9, 5, 9, 0)
     assert events[1].start_datetime.timetuple()[:5] == (2016, 9, 5, 10, 0)
@@ -35,52 +36,56 @@ def test_timeperiod_time_slots():
     assert len(events) == 12
 
     # another start before the timeperiod
-    timeperiod = TimePeriod(desk=desk, weekday=1,
-            start_time=datetime.time(9, 0),
-            end_time=datetime.time(12, 0))
+    timeperiod = TimePeriod(
+        desk=desk, weekday=1, start_time=datetime.time(9, 0), end_time=datetime.time(12, 0)
+    )
     events = timeperiod.get_time_slots(
-            min_datetime=make_aware(datetime.datetime(2016, 9, 1)),
-            max_datetime=make_aware(datetime.datetime(2016, 10, 1)),
-            meeting_type=meeting_type)
+        min_datetime=make_aware(datetime.datetime(2016, 9, 1)),
+        max_datetime=make_aware(datetime.datetime(2016, 10, 1)),
+        meeting_type=meeting_type,
+    )
     events = list(sorted(events, key=lambda x: x.start_datetime))
     assert events[0].start_datetime.timetuple()[:5] == (2016, 9, 6, 9, 0)
     assert events[-1].start_datetime.timetuple()[:5] == (2016, 9, 27, 11, 0)
     assert len(events) == 12
 
     # a start on the day of the timeperiod
-    timeperiod = TimePeriod(desk=desk, weekday=3,
-            start_time=datetime.time(9, 0),
-            end_time=datetime.time(12, 0))
+    timeperiod = TimePeriod(
+        desk=desk, weekday=3, start_time=datetime.time(9, 0), end_time=datetime.time(12, 0)
+    )
     events = timeperiod.get_time_slots(
-            min_datetime=make_aware(datetime.datetime(2016, 9, 1)),
-            max_datetime=make_aware(datetime.datetime(2016, 10, 1)),
-            meeting_type=meeting_type)
+        min_datetime=make_aware(datetime.datetime(2016, 9, 1)),
+        max_datetime=make_aware(datetime.datetime(2016, 10, 1)),
+        meeting_type=meeting_type,
+    )
     events = list(sorted(events, key=lambda x: x.start_datetime))
     assert events[0].start_datetime.timetuple()[:5] == (2016, 9, 1, 9, 0)
     assert events[-1].start_datetime.timetuple()[:5] == (2016, 9, 29, 11, 0)
     assert len(events) == 15
 
     # a start after the day of the timeperiod
-    timeperiod = TimePeriod(desk=desk, weekday=4,
-            start_time=datetime.time(9, 0),
-            end_time=datetime.time(12, 0))
+    timeperiod = TimePeriod(
+        desk=desk, weekday=4, start_time=datetime.time(9, 0), end_time=datetime.time(12, 0)
+    )
     events = timeperiod.get_time_slots(
-            min_datetime=make_aware(datetime.datetime(2016, 9, 1)),
-            max_datetime=make_aware(datetime.datetime(2016, 10, 1)),
-            meeting_type=meeting_type)
+        min_datetime=make_aware(datetime.datetime(2016, 9, 1)),
+        max_datetime=make_aware(datetime.datetime(2016, 10, 1)),
+        meeting_type=meeting_type,
+    )
     events = list(sorted(events, key=lambda x: x.start_datetime))
     assert events[0].start_datetime.timetuple()[:5] == (2016, 9, 2, 9, 0)
     assert events[-1].start_datetime.timetuple()[:5] == (2016, 9, 30, 11, 0)
     assert len(events) == 15
 
     # another start after the day of the timeperiod
-    timeperiod = TimePeriod(desk=desk, weekday=5,
-            start_time=datetime.time(9, 0),
-            end_time=datetime.time(12, 0))
+    timeperiod = TimePeriod(
+        desk=desk, weekday=5, start_time=datetime.time(9, 0), end_time=datetime.time(12, 0)
+    )
     events = timeperiod.get_time_slots(
-            min_datetime=make_aware(datetime.datetime(2016, 9, 1)),
-            max_datetime=make_aware(datetime.datetime(2016, 10, 1)),
-            meeting_type=meeting_type)
+        min_datetime=make_aware(datetime.datetime(2016, 9, 1)),
+        max_datetime=make_aware(datetime.datetime(2016, 10, 1)),
+        meeting_type=meeting_type,
+    )
     events = list(sorted(events, key=lambda x: x.start_datetime))
     assert events[0].start_datetime.timetuple()[:5] == (2016, 9, 3, 9, 0)
     assert events[-1].start_datetime.timetuple()[:5] == (2016, 9, 24, 11, 0)
@@ -89,13 +94,14 @@ def test_timeperiod_time_slots():
     # shorter duration -> double the events
     meeting_type.duration = 30
     meeting_type.save()
-    timeperiod = TimePeriod(desk=desk, weekday=5,
-            start_time=datetime.time(9, 0),
-            end_time=datetime.time(12, 0))
+    timeperiod = TimePeriod(
+        desk=desk, weekday=5, start_time=datetime.time(9, 0), end_time=datetime.time(12, 0)
+    )
     events = timeperiod.get_time_slots(
-            min_datetime=make_aware(datetime.datetime(2016, 9, 1)),
-            max_datetime=make_aware(datetime.datetime(2016, 10, 1)),
-            meeting_type=meeting_type)
+        min_datetime=make_aware(datetime.datetime(2016, 9, 1)),
+        max_datetime=make_aware(datetime.datetime(2016, 10, 1)),
+        meeting_type=meeting_type,
+    )
     events = list(sorted(events, key=lambda x: x.start_datetime))
     assert events[0].start_datetime.timetuple()[:5] == (2016, 9, 3, 9, 0)
     assert events[-1].start_datetime.timetuple()[:5] == (2016, 9, 24, 11, 30)
@@ -105,28 +111,48 @@ def test_timeperiod_time_slots():
 @override_settings(LANGUAGE_CODE='fr-fr')
 def test_time_period_exception_as_string():
     # single day
-    assert force_text(TimePeriodException(
-        start_datetime=make_aware(datetime.datetime(2018, 1, 18)),
-        end_datetime=make_aware(datetime.datetime(2018, 1, 19)))
-        ) == u'18 jan. 2018'
+    assert (
+        force_text(
+            TimePeriodException(
+                start_datetime=make_aware(datetime.datetime(2018, 1, 18)),
+                end_datetime=make_aware(datetime.datetime(2018, 1, 19)),
+            )
+        )
+        == u'18 jan. 2018'
+    )
 
     # multiple full days
-    assert force_text(TimePeriodException(
-        start_datetime=make_aware(datetime.datetime(2018, 1, 18)),
-        end_datetime=make_aware(datetime.datetime(2018, 1, 20)))
-        ) == u'18 jan. 2018 → 20 jan. 2018'
+    assert (
+        force_text(
+            TimePeriodException(
+                start_datetime=make_aware(datetime.datetime(2018, 1, 18)),
+                end_datetime=make_aware(datetime.datetime(2018, 1, 20)),
+            )
+        )
+        == u'18 jan. 2018 → 20 jan. 2018'
+    )
 
     # a few hours in a day
-    assert force_text(TimePeriodException(
-        start_datetime=make_aware(datetime.datetime(2018, 1, 18, 10, 0)),
-        end_datetime=make_aware(datetime.datetime(2018, 1, 18, 12, 0)))
-        ) == u'18 jan. 2018 10:00 → 12:00'
+    assert (
+        force_text(
+            TimePeriodException(
+                start_datetime=make_aware(datetime.datetime(2018, 1, 18, 10, 0)),
+                end_datetime=make_aware(datetime.datetime(2018, 1, 18, 12, 0)),
+            )
+        )
+        == u'18 jan. 2018 10:00 → 12:00'
+    )
 
     # multiple days and different times
-    assert force_text(TimePeriodException(
-        start_datetime=make_aware(datetime.datetime(2018, 1, 18, 10, 0)),
-        end_datetime=make_aware(datetime.datetime(2018, 1, 20, 12, 0)))
-        ) == u'18 jan. 2018 10:00 → 20 jan. 2018 12:00'
+    assert (
+        force_text(
+            TimePeriodException(
+                start_datetime=make_aware(datetime.datetime(2018, 1, 18, 10, 0)),
+                end_datetime=make_aware(datetime.datetime(2018, 1, 20, 12, 0)),
+            )
+        )
+        == u'18 jan. 2018 10:00 → 20 jan. 2018 12:00'
+    )
 
 
 def test_desk_opening_hours():
@@ -139,18 +165,14 @@ def test_desk_opening_hours():
     assert len(hours) == 0
 
     # morning
-    TimePeriod(desk=desk, weekday=0,
-            start_time=datetime.time(9, 0),
-            end_time=datetime.time(12, 0)).save()
+    TimePeriod(desk=desk, weekday=0, start_time=datetime.time(9, 0), end_time=datetime.time(12, 0)).save()
     hours = list(desk.get_opening_hours(datetime.date(2018, 1, 22)))
     assert len(hours) == 1
     assert hours[0].begin.time() == datetime.time(9, 0)
     assert hours[0].end.time() == datetime.time(12, 0)
 
     # and afternoon
-    TimePeriod(desk=desk, weekday=0,
-            start_time=datetime.time(14, 0),
-            end_time=datetime.time(17, 0)).save()
+    TimePeriod(desk=desk, weekday=0, start_time=datetime.time(14, 0), end_time=datetime.time(17, 0)).save()
     hours = list(desk.get_opening_hours(datetime.date(2018, 1, 22)))
     assert len(hours) == 2
     assert hours[0].begin.time() == datetime.time(9, 0)
@@ -161,9 +183,10 @@ def test_desk_opening_hours():
 
     # full day exception
     exception = TimePeriodException(
-            desk=desk,
-            start_datetime=make_aware(datetime.datetime(2018, 1, 22)),
-            end_datetime=make_aware(datetime.datetime(2018, 1, 23)))
+        desk=desk,
+        start_datetime=make_aware(datetime.datetime(2018, 1, 22)),
+        end_datetime=make_aware(datetime.datetime(2018, 1, 23)),
+    )
     exception.save()
 
     hours = list(desk.get_opening_hours(datetime.date(2018, 1, 22)))
@@ -200,13 +223,14 @@ def test_timeperiod_midnight_overlap_time_slots():
     desk = Desk.objects.create(label='Desk 1', agenda=agenda)
     meeting_type = MeetingType(duration=120, agenda=agenda)
     meeting_type.save()
-    timeperiod = TimePeriod(desk=desk, weekday=0,
-            start_time=datetime.time(21, 0),
-            end_time=datetime.time(23, 0))
+    timeperiod = TimePeriod(
+        desk=desk, weekday=0, start_time=datetime.time(21, 0), end_time=datetime.time(23, 0)
+    )
     events = timeperiod.get_time_slots(
-            min_datetime=make_aware(datetime.datetime(2016, 9, 1)),
-            max_datetime=make_aware(datetime.datetime(2016, 10, 1)),
-            meeting_type=meeting_type)
+        min_datetime=make_aware(datetime.datetime(2016, 9, 1)),
+        max_datetime=make_aware(datetime.datetime(2016, 10, 1)),
+        meeting_type=meeting_type,
+    )
     events = list(sorted(events, key=lambda x: x.start_datetime))
     assert events[0].start_datetime.timetuple()[:5] == (2016, 9, 5, 21, 0)
     assert events[1].start_datetime.timetuple()[:5] == (2016, 9, 12, 21, 0)
-- 
2.20.1

